﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebGraphic.Models;

namespace WebGraphic.Repositories
{
    public class ArticleRepository
    {
        public Category GetArticleCategory(int categoryId)
        {
            var articleCategoryList = GetAllArticleCategoriesMockDatas();

            return (from p in articleCategoryList
                    where (p.Id == categoryId)
                    select p).FirstOrDefault();
        }

        public List<Category> GetAllArticleCategories()
        {
            var articleCategoryList = GetAllArticleCategoriesMockDatas();

            return (from p in articleCategoryList
                    select p)
                    .OrderBy(p => p.CategoryName)
                    .ToList();
        }

        private List<Category> GetAllArticleCategoriesMockDatas()
        {
            var articleCategoryList = new List<Category>();

            articleCategoryList.Add(new Category
            {
                Id = 1,
                CategoryName = "CSS",
            });

            articleCategoryList.Add(new Category
            {
                Id = 2,
                CategoryName = "HTML",
            });

            articleCategoryList.Add(new Category
            {
                Id = 3,
                CategoryName = "Web Standards",
            });

            articleCategoryList.Add(new Category
            {
                Id = 4,
                CategoryName = "Graphic Tools",
            });

            return articleCategoryList;
        }


    }
}